Bug 1022912 - NetworkManager can't connect to Netgear WNAP210 via Centrino Wireless-N 2230 (rev 04) [NEEDINFO]
NetworkManager can't connect to Netgear WNAP210 via Centrino Wireless-N 2230 ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 05:18 EDT by Daniel Demus
Modified: 2014-03-10 10:46 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 10:46:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Daniel Demus 2013-10-24 05:18:47 EDT
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:24.0) Gecko/20100101 Firefox/24.0
Build Identifier: 

Sinece the last NetworkManager update my laptop can't connect to a Netgear WNAP210. I had the same problem with the uni eduroam network until some time in the late spring. A relevant snippet of /var/log/messages:

Oct 24 10:49:58 vision kernel: [ 1325.631597] wlp2s0: authenticate with 84:1b:5e:87:88:40
Oct 24 10:49:58 vision kernel: [ 1325.634315] wlp2s0: send auth to 84:1b:5e:87:88:40 (try 1/3)
Oct 24 10:49:58 vision kernel: [ 1325.636656] wlp2s0: authenticated
Oct 24 10:49:58 vision kernel: [ 1325.636933] wlp2s0: waiting for beacon from 84:1b:5e:87:88:40
Oct 24 10:50:04 vision kernel: [ 1331.375393] wlp2s0: authenticate with 84:1b:5e:87:88:40
Oct 24 10:50:04 vision kernel: [ 1331.378762] wlp2s0: send auth to 84:1b:5e:87:88:40 (try 1/3)
Oct 24 10:50:04 vision kernel: [ 1331.410672] wlp2s0: authenticated
Oct 24 10:50:04 vision kernel: [ 1331.411001] wlp2s0: waiting for beacon from 84:1b:5e:87:88:40
Oct 24 10:50:15 vision kernel: [ 1342.133604] wlp2s0: authenticate with 84:1b:5e:87:88:40
Oct 24 10:50:15 vision kernel: [ 1342.136539] wlp2s0: send auth to 84:1b:5e:87:88:40 (try 1/3)
Oct 24 10:50:15 vision kernel: [ 1342.140312] wlp2s0: authenticated
Oct 24 10:50:15 vision kernel: [ 1342.140516] wlp2s0: waiting for beacon from 84:1b:5e:87:88:40
Oct 24 10:50:19 vision NetworkManager[613]: <warn> Activation (wlp2s0/wireless): association took too long.
Oct 24 10:50:19 vision NetworkManager[613]: <warn> Activation (wlp2s0/wireless): asking for new secrets


Reproducible: Always

Steps to Reproduce:
1. Try to connect to the relevant SSID
2. If asked for a password enter it
3. Wait
Actual Results:  
After some time a new password prompt appears

Expected Results:  
The computer connects to the specified wireless network
Comment 1 Dan Williams 2013-10-25 17:16:29 EDT
If you're sure the configuration is correct, this appears to be driver problems.  NM is pretty much out of the picture until you actually get associated with the access point, which happens right after the authentication steps you see here.  So something in the driver is not proceeding normally.

Did you update the kernel at the same time as the NetworkManager update?

Do other devices you have successfully connect to this access point?

What version of NetworkManager and the kernel are you using?  Please report the results of:

rpm -qv NetworkManager
uname -a


thanks!
Comment 2 Daniel Demus 2013-10-26 16:31:21 EDT
Currently:
NetworkManager-0.9.8.2-9.git20130709.fc19.x86_64
Linux vision.demus.dk 3.11.6-200.fc19.x86_64 #1 SMP Fri Oct 18 22:34:18 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

The problem started with the update to NetworkManager-0.9.8.2-9.git20130709 (on or around Sep 29). There was no simultaneous kernel update.

Rolling back NM  to NetworkManager-0.9.8.2-2.fc19.x86_64 didn't help.

This isn't the kernel at the time the problem started, it was 3.11.1-200, as far as I can tell, but the kernel updates since then haven't helped, except /var/log/messages is more meaningful.
Comment 3 Justin M. Forbes 2014-01-03 17:07:17 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 4 Justin M. Forbes 2014-03-10 10:46:08 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for more than 1 month and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 19, please feel free to reopen the bug and provide the additional information requested.

Note You need to log in before you can comment on or make changes to this bug.